Show / Hide Table of Contents

# Class Item

##### Inheritance

System.Object
Item

##### Implements

Lumina.Excel.IExcelRow

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Data.TransientSheet

###### Assembly: Dalamud.dll

##### Syntax

    [Sheet("Item", 2670630667U)]
    public class Item : IExcelRow

### Fields

| Improve this Doc View Source

#### AdditionalData

##### Declaration

    public uint AdditionalData

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Adjective

##### Declaration

    public sbyte Adjective

##### Field Value

Type | Description
--- | ---
System.SByte |

| Improve this Doc View Source

#### AetherialReduce

##### Declaration

    public ushort AetherialReduce

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Article

##### Declaration

    public sbyte Article

##### Field Value

Type | Description
--- | ---
System.SByte |

| Improve this Doc View Source

#### BaseParamModifier

##### Declaration

    public byte BaseParamModifier

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Block

##### Declaration

    public ushort Block

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### BlockRate

##### Declaration

    public ushort BlockRate

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### ClassJobCategory

##### Declaration

    public byte ClassJobCategory

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ClassJobRepair

##### Declaration

    public byte ClassJobRepair

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ClassJobUse

##### Declaration

    public byte ClassJobUse

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Cooldowns

##### Declaration

    public ushort Cooldowns

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### DamageMag

##### Declaration

    public ushort DamageMag

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### DamagePhys

##### Declaration

    public ushort DamagePhys

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### DefenseMag

##### Declaration

    public ushort DefenseMag

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### DefensePhys

##### Declaration

    public ushort DefensePhys

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Delayms

##### Declaration

    public ushort Delayms

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Description

##### Declaration

    public string Description

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### EquipRestriction

##### Declaration

    public byte EquipRestriction

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### EquipSlotCategory

##### Declaration

    public byte EquipSlotCategory

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### FilterGroup

##### Declaration

    public byte FilterGroup

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### GrandCompany

##### Declaration

    public byte GrandCompany

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Icon

##### Declaration

    public ushort Icon

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### ItemAction

##### Declaration

    public ushort ItemAction

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### ItemGlamour

##### Declaration

    public int ItemGlamour

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ItemRepair

##### Declaration

    public int ItemRepair

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ItemSearchCategory

##### Declaration

    public byte ItemSearchCategory

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ItemSeries

##### Declaration

    public byte ItemSeries

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ItemSpecialBonus

##### Declaration

    public byte ItemSpecialBonus

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ItemSpecialBonusParam

##### Declaration

    public byte ItemSpecialBonusParam

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ItemUICategory

##### Declaration

    public byte ItemUICategory

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### LevelEquip

##### Declaration

    public byte LevelEquip

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### LevelItem

##### Declaration

    public ushort LevelItem

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### MaterializeType

##### Declaration

    public byte MaterializeType

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MateriaSlotCount

##### Declaration

    public byte MateriaSlotCount

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ModelMain

##### Declaration

    public ulong ModelMain

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### ModelSub

##### Declaration

    public ulong ModelSub

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### Name

##### Declaration

    public string Name

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Plural

##### Declaration

    public string Plural

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### PossessivePronoun

##### Declaration

    public sbyte PossessivePronoun

##### Field Value

Type | Description
--- | ---
System.SByte |

| Improve this Doc View Source

#### PriceLow

##### Declaration

    public uint PriceLow

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### PriceMid

##### Declaration

    public uint PriceMid

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Pronoun

##### Declaration

    public sbyte Pronoun

##### Field Value

Type | Description
--- | ---
System.SByte |

| Improve this Doc View Source

#### Rarity

##### Declaration

    public byte Rarity

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Salvage

##### Declaration

    public ushort Salvage

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Singular

##### Declaration

    public string Singular

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### StackSize

##### Declaration

    public uint StackSize

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### StartsWithVowel

##### Declaration

    public sbyte StartsWithVowel

##### Field Value

Type | Description
--- | ---
System.SByte |

| Improve this Doc View Source

#### unknown13

##### Declaration

    public sbyte unknown13

##### Field Value

Type | Description
--- | ---
System.SByte |

| Improve this Doc View Source

#### unknown3c

##### Declaration

    public short unknown3c

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### unknown3e

##### Declaration

    public short unknown3e

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### unknown40

##### Declaration

    public short unknown40

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### unknown48

##### Declaration

    public short unknown48

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### unknown4a

##### Declaration

    public short unknown4a

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### unknown4c

##### Declaration

    public short unknown4c

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### unknown4f

##### Declaration

    public byte unknown4f

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown56

##### Declaration

    public byte unknown56

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown57

##### Declaration

    public byte unknown57

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown58

##### Declaration

    public short[] unknown58

##### Field Value

Type | Description
--- | ---
System.Int16[] |

| Improve this Doc View Source

#### unknown5b

##### Declaration

    public byte unknown5b

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown5c

##### Declaration

    public byte unknown5c

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown5d

##### Declaration

    public byte unknown5d

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown60

##### Declaration

    public short[] unknown60

##### Field Value

Type | Description
--- | ---
System.Int16[] |

| Improve this Doc View Source

#### unknown63

##### Declaration

    public byte unknown63

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown64

##### Declaration

    public byte unknown64

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown65

##### Declaration

    public byte unknown65

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown68

##### Declaration

    public byte unknown68

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown8c

##### Declaration

    public ushort unknown8c

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown94

##### Declaration

    public ushort unknown94

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown9d

##### Declaration

    public byte unknown9d

##### Field Value

Type | Description
--- | ---
System.Byte |

### Properties

| Improve this Doc View Source

#### AlwaysCollectable

##### Declaration

    public bool AlwaysCollectable { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### CanBeHq

##### Declaration

    public bool CanBeHq { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsAdvancedMeldingPermitted

##### Declaration

    public bool IsAdvancedMeldingPermitted { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsCollectable

##### Declaration

    public bool IsCollectable { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsCrestWorthy

##### Declaration

    public bool IsCrestWorthy { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsDyeable

##### Declaration

    public bool IsDyeable { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsGlamourous

##### Declaration

    public bool IsGlamourous { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsIndisposable

##### Declaration

    public bool IsIndisposable { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsPvP

##### Declaration

    public bool IsPvP { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsUnique

##### Declaration

    public bool IsUnique { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsUntradable

##### Declaration

    public bool IsUntradable { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Lot

##### Declaration

    public bool Lot { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### RowId

##### Declaration

    public int RowId { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SubRowId

##### Declaration

    public int SubRowId { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

### Methods

| Improve this Doc View Source

#### PopulateData(RowParser, Lumina)

##### Declaration

    public void PopulateData(RowParser parser, Lumina lumina)

##### Parameters

Type | Name | Description
--- | --- | ---
Lumina.Excel.RowParser | parser |
Lumina.Lumina | lumina |

### Implements

Lumina.Excel.IExcelRow